import os
from django.conf.urls.defaults import *
from django.contrib import admin
from django.views.generic.simple import direct_to_template

import settings

admin.autodiscover()
urlpatterns = patterns('',
    # Example:
    # (r'^laohu/', include('laohu.foo.urls')),

    # Uncomment the admin/doc line below and add 'django.contrib.admindocs' 
    # to INSTALLED_APPS to enable admin documentation:
    (r'^admin/doc/', include('django.contrib.admindocs.urls')),

    # Uncomment the next line to enable the admin:
    (r'^admin/', include(admin.site.urls)),
    url(r'^accounts/logout$', 'django.contrib.auth.views.logout',{"next_page":"/"}, name="logout"),
    url(r'^accounts/login/$', 'django.contrib.auth.views.login', name="login"),
    url(r'^accounts/register/$', 'simplest_registration.views.register', name="register"),
    
    url(r'^$', direct_to_template, {"template": "index.html"}, name="home"),    
    (r'^game/',      include('laohu.game.urls')),
    
    
)

if settings.DEBUG:
    urlpatterns += patterns(
        '',

        url(r'^static/(.*)$', 'django.views.static.serve',
            {'document_root': settings.STATIC_ROOT}),
        )
        
    
